
Name:          proxool
Version:       0.9.1
Release:       %mkrel 1
Summary:       Proxool Java connection pool
Group:         Development/Java
License:       Open Source
Url:           http://proxool.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/proxool/proxool-0.9.1-source.tar.gz
# from http://repo.fusesource.com/maven2-all/proxool/proxool/0.9.1/
Source1:       proxool-0.9.1.pom
Patch0:        proxool-no-embedded-cglib.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: cglib
BuildRequires: dom4j
BuildRequires: ehcache
BuildRequires: avalon-logkit
BuildRequires: hibernate3
BuildRequires: hsqldb
BuildRequires: jsr107cache
BuildRequires: junit
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: tyrex
BuildRequires: xalan-j2
BuildRequires: xml-commons-apis

Requires:      avalon-logkit
Requires:      dom4j
Requires:      ehcache
Requires:      geronimo-jta-1.0.1B-api
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Transparently adds connection pooling to your existing JDBC driver.
Our licence allows you flexibility to use it in both commercial and
other open source products.
Complies with the J2SE API, giving you the confidence to develop to
standards. You can monitor the performance of your database
connections and listen to connection events.
It's easy to configure using the JDBC API, XML, or Java property
files - you decide.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
This package contains documents for %{name}.

%prep
%setup -q -n proxool-%{version}

rm -rf lib jarjar

%patch0 -p1 -b .sav0

%build
ant build-jar javadoc

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
cp -p build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/api/* %{buildroot}%{_javadocdir}/%{name}

#manual
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -pr doc/* %{buildroot}%{_docdir}/%{name}
cp *.txt %{buildroot}%{_docdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%doc LICENCE.txt
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}



%changelog

* Sun Nov 06 2011 gil <gil> 0.9.1-1.mga2
+ Revision: 164004
- imported package proxool


* Fri Aug 26 2011 Andy Grimm <agrimm@gmail.com> - 0:0.9.1-1
- initial build